# -*- coding: utf-8 -*-
"""
Created on Tue Jan  3 14:53:09 2023

@author: smvanessen
"""

import numpy as np


def calc_T_enc(T,V,mu):
    
    # Calculates encounter period based on period T [s], speed against waves 
    # V [m/s] and heading mu [rad] (pi = 180 deg is head waves)
        
    # Wave frequency [rad/s]
    om = 2*np.pi/T
    
    # Encounter freq [rad/s]
    om_e = om-om**2/9.81*V*np.cos(mu)
    
    # Encounter period [s]
    Te = 2*np.pi/om_e
        
    return Te